Package be.cin.nip.sync.reg.v1

# Class BankAccountType

java.lang.Object
be.cin.nip.sync.reg.v1.BankAccountType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:16:26+02:00", comments="JAXB RI v4.0.5") public class BankAccountType extends Object implements Serializable

Java class for bankAccountType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="bankAccountType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="bic">
             <simpleType>
               <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                 <maxLength value="11"/>
               </restriction>
             </simpleType>
           </attribute>
           <attribute name="iban" use="required">
             <simpleType>
               <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                 <maxLength value="34"/>
               </restriction>
             </simpleType>
           </attribute>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BankAccountType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBic()`
  Gets the value of the bic property.
  `String`
  `getIban()`
  Gets the value of the iban property.
  `void`
  `setBic(String value)`
  Sets the value of the bic property.
  `void`
  `setIban(String value)`
  Sets the value of the iban property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BankAccountType

    public BankAccountType()

- ## Method Details

  - ### getBic

    public String getBic()
    Gets the value of the bic property.
    Returns:
      possible object is `String`

  - ### setBic

    public void setBic(String value)
    Sets the value of the bic property.
    Parameters:
      `value` - allowed object is `String`

  - ### getIban

    public String getIban()
    Gets the value of the iban property.
    Returns:
      possible object is `String`

  - ### setIban

    public void setIban(String value)
    Sets the value of the iban property.
    Parameters:
      `value` - allowed object is `String`